Subject: Re: [PATCH] rebase -i: support single-letter abbreviations for the actions

From: Avi Kivity <[email-masked]>
Date: Sat, 29 Sep 2007 18:27:55 +0200

Johannes Schindelin wrote:
> When you do many rebases, you can get annoyed by having to type out
> the actions "edit" or "squash" in total.
>
> This commit helps that, by allowing you to enter "e" instead of "edit",
> or "s" instead of "squash", and it also plays nice with "merge" or "amend"
> as synonyms to "squash".
>
>   

Can we make "amend" like squash, except that it keeps the first commit's 
authorship instead of the second?  I often merge a commit with some 
minor fix that comes later, and usually want to keep the original author 
record.

-- 
Any sufficiently difficult bug is indistinguishable from a feature.